package client_handlers

import (
	"cpone/utils"
	client_mcusetup "cpone/views/client/mcusetup"

	"github.com/labstack/echo/v4"
)

type MCUSetupService interface {
}

func NewMCUSetupHandler(us MCUSetupService) *MCUSetupHandler {
	return &MCUSetupHandler{
		MCUSetupService: us,
	}
}

type MCUSetupHandler struct {
	MCUSetupService MCUSetupService
}

func (uh *MCUSetupHandler) ShowMCUSetup(c echo.Context) error {
	helo := client_mcusetup.Show()
	return utils.View(c, helo)
}
